using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Windowanwendung
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void miNewWindow_Click(object sender, RoutedEventArgs e)
        {
            Window1 window = new Window1();
            window.Owner = this;
            window.ShowInTaskbar = false;
            window.WindowStartupLocation = WindowStartupLocation.CenterOwner;

            window.Show();
        }

        private void miQuit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void miOptions_Click(object sender, RoutedEventArgs e)
        {
            Dialog1 dlg = new Dialog1();
            if (dlg.ShowDialog() == true)
            {
                this.Background = dlg.BackgroundColor;
                this.Foreground = dlg.ForegroundColor;
            }
        }


    }
}
